Subject: Re: bug#23019: parse-partial-sexp doesn't output the full state needed for its continuance.

From: Alan Mackenzie <[email-masked]>
Date: Tue, 5 Apr 2016 12:54:09 +0000

Hello, John.

On Sun, Apr 03, 2016 at 03:53:02PM -0700, John Wiegley wrote:
> >>>>> Stefan Monnier <[email-masked]> writes:

> > I'd like to hear what John thinks about the idea of re-using "nth 5" instead
> > of adding a new entry, but other than that, I think it's OK to commit,
> > thanks.

> How long has this stuff been out in the field?  Do you think it's well known
> enough that anyone is depending on the earlier behavior of the nth 5 value?  I
> have a feeling it's OK to re-use it.

My feeling is that it would be better not to change the definition of
the fifth element, but it's not a strong feeling.

One concern I have is that there is code out there which compensates for
the previous inadequate behaviour (I know there is in CC Mode), and it
may be more difficult to switch off this compensation if there isn't an
easy way to distinguish new from old, such as (> (length state) 10).

> -- 
> John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
> http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2

-- 
Alan Mackenzie (Nuremberg, Germany).